Get Person
Get a person’s details and artwork.
GET https://api.mediux.io/people/{personId}
Response format, pagination and caching.
Response examples
Section titled “Response examples”Person with profile metadata image
Section titled “Person with profile metadata image”Status: 200 OK
Response headers:
content-type: application/json; charset=utf-8{ "data": { "id": 31, "kind": "person", "name": "Example Person", "biography": "An example public biography.", "birthday": "1964-09-02", "deathday": null, "placeOfBirth": "Beirut, Lebanon", "knownForDepartment": "acting", "homepage": null, "metadataImages": { "profile": "https://images.mediux.io/metadata/people/31/profile.webp" }, "assets": { "posters": [] } }}Person not found
Section titled “Person not found”Status: 404 Not Found
Response headers:
content-type: application/json; charset=utf-8{ "data": null, "error": { "code": "not_found", "message": "The requested resource was not found." }}